---
title: CSSMathProduct
slug: Web/API/CSSMathProduct
tags:
  - API
  - CSS Typed Object Model API
  - CSSMathProduct
  - CSSUnparsedValue
  - Experimental
  - Houdini
  - Interface
  - Reference
---
<div>{{draft}}{{APIRef("CSS Typed Object Model API")}}{{SeeCompatTable}}</div>

<p class="summary">The <strong><code>CSSMathProduct</code></strong> interface of the {{domxref('CSS Typed Object Model API','','',' ')}} represents the result obtained by calling {{domxref('CSSNumericValue.add','add()')}}, {{domxref('CSSNumericValue.sub','sub()')}}, or {{domxref('CSSNumericValue.toSum','toSum()')}} on {{domxref('CSSNumericValue')}}.  It inherits properties and methods from its parent {{domxref('CSSNumericValue')}}.</p>

<h2 id="Constructor">Constructor</h2>

<dl>
 <dt>{{domxref("CSSMathProduct.CSSMathProduct()")}}</dt>
 <dd>Creates a new <code>CSSMathProduct</code> object.</dd>
</dl>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref('CSSMathProduct.values')}}</dt>
 <dd>Returns a {{domxref('CSSNumericArray')}} object which contains one or more {{domxref('CSSNumericValue')}} objects.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p>None.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS Typed OM','#cssmathproduct','CSSMathProduct')}}</td>
   <td>{{Spec2('CSS Typed OM')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSMathProduct")}}</p>
